EASEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.system
Class EASEvent

    java.lang.Object
      java.util.EventObject
          org.ocap.system.EASEvent

All Implemented Interfaces:
  Serializable

    public class EASEvent

extends EventObject

This class represents an EAS event.

See Also:
  Serialized Form

Field Summary
`static int` | `EAS_COMPLETE` The event is generated when an EAS message completes.
`static int` | `EAS_DETAILS_CHANNEL` This event is generated when an EAS table is detected by the implementation and the table requires a forced tune.
`static int` | `EAS_TEXT_DISPLAY` This event is generated when an EAS table is detected by the implementation and the table requires textual display.

Constructor Summary
`EASEvent(Object source, int reason)` Constructs a EASEvent with the specified source and reason.

Method Summary
`int` | `getReason()` Gets the reason passed to the constructor.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EAS_DETAILS_CHANNEL

    public static final int EAS_DETAILS_CHANNEL

  This event is generated when an EAS table is detected by the implementation and the table requires a forced tune.

  See Also:
    Constant Field Values

### EAS_TEXT_DISPLAY

    public static final int EAS_TEXT_DISPLAY

  This event is generated when an EAS table is detected by the implementation and the table requires textual display.

  See Also:
    Constant Field Values

### EAS_COMPLETE

    public static final int EAS_COMPLETE

  The event is generated when an EAS message completes.

  See Also:
    Constant Field Values

Constructor Detail

### EASEvent

    public EASEvent(Object source,
                    int reason)

  Constructs a EASEvent with the specified source and reason.

  Parameters:
    `source` - Implementation specific source object
    `reason` - The reason that caused this event. See constants in this class for possible reasons.

Method Detail

### getReason

    public int getReason()

  Gets the reason passed to the constructor.

  Returns:
    Reason for this event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD